OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.PGI.MiscHints

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetPGIMiscHints :: MonadIO m => m Bool
- gl_PGI_misc_hints :: Bool
- gl_ALLOW_DRAW_FRG_HINT_PGI :: GLenum
- gl_ALLOW_DRAW_MEM_HINT_PGI :: GLenum
- gl_ALLOW_DRAW_OBJ_HINT_PGI :: GLenum
- gl_ALLOW_DRAW_WIN_HINT_PGI :: GLenum
- gl_ALWAYS_FAST_HINT_PGI :: GLenum
- gl_ALWAYS_SOFT_HINT_PGI :: GLenum
- gl_BACK_NORMALS_HINT_PGI :: GLenum
- gl_CLIP_FAR_HINT_PGI :: GLenum
- gl_CLIP_NEAR_HINT_PGI :: GLenum
- gl_CONSERVE_MEMORY_HINT_PGI :: GLenum
- gl_FULL_STIPPLE_HINT_PGI :: GLenum
- gl_NATIVE_GRAPHICS_BEGIN_HINT_PGI :: GLenum
- gl_NATIVE_GRAPHICS_END_HINT_PGI :: GLenum
- gl_NATIVE_GRAPHICS_HANDLE_PGI :: GLenum
- gl_PREFER_DOUBLEBUFFER_HINT_PGI :: GLenum
- gl_RECLAIM_MEMORY_HINT_PGI :: GLenum
- gl_STRICT_DEPTHFUNC_HINT_PGI :: GLenum
- gl_STRICT_LIGHTING_HINT_PGI :: GLenum
- gl_STRICT_SCISSOR_HINT_PGI :: GLenum
- gl_WIDE_LINE_HINT_PGI :: GLenum
- glHintPGI :: MonadIO m => GLenum -> GLint -> m ()

# Extension Support

glGetPGIMiscHints :: MonadIO m => m Bool

Is the PGI_misc_hints extension supported?

gl_PGI_misc_hints :: Bool

Is the PGI_misc_hints extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetPGIMiscHints` in those cases instead.

# Enums

gl_ALLOW_DRAW_FRG_HINT_PGI :: GLenum

gl_ALLOW_DRAW_MEM_HINT_PGI :: GLenum

gl_ALLOW_DRAW_OBJ_HINT_PGI :: GLenum

gl_ALLOW_DRAW_WIN_HINT_PGI :: GLenum

gl_ALWAYS_FAST_HINT_PGI :: GLenum

gl_ALWAYS_SOFT_HINT_PGI :: GLenum

gl_BACK_NORMALS_HINT_PGI :: GLenum

gl_CLIP_FAR_HINT_PGI :: GLenum

gl_CLIP_NEAR_HINT_PGI :: GLenum

gl_CONSERVE_MEMORY_HINT_PGI :: GLenum

gl_FULL_STIPPLE_HINT_PGI :: GLenum

gl_NATIVE_GRAPHICS_BEGIN_HINT_PGI :: GLenum

gl_NATIVE_GRAPHICS_END_HINT_PGI :: GLenum

gl_NATIVE_GRAPHICS_HANDLE_PGI :: GLenum

gl_PREFER_DOUBLEBUFFER_HINT_PGI :: GLenum

gl_RECLAIM_MEMORY_HINT_PGI :: GLenum

gl_STRICT_DEPTHFUNC_HINT_PGI :: GLenum

gl_STRICT_LIGHTING_HINT_PGI :: GLenum

gl_STRICT_SCISSOR_HINT_PGI :: GLenum

gl_WIDE_LINE_HINT_PGI :: GLenum

# Functions

glHintPGI

Arguments

:: MonadIO m |
=> GLenum | `target` of type `HintTargetPGI`.
-> GLint | `mode`.
-> m () |